Package com.google.android.exoplayer2.source.mediaparser

## Class MediaParserUtil

- java.lang.Object
- - com.google.android.exoplayer2.source.mediaparser.MediaParserUtil

-     public final class MediaParserUtil
      extends Object

  Miscellaneous constants and utility methods related to the `MediaParser` integration.

  For documentation on constants, please see the `MediaParser` documentation.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PARAMETER_EAGERLY_EXPOSE_TRACK_TYPE` |
    `static String` | `PARAMETER_EXPOSE_CAPTION_FORMATS` |
    `static String` | `PARAMETER_EXPOSE_CHUNK_INDEX_AS_MEDIA_FORMAT` |
    `static String` | `PARAMETER_EXPOSE_DUMMY_SEEK_MAP` |
    `static String` | `PARAMETER_IGNORE_TIMESTAMP_OFFSET` |
    `static String` | `PARAMETER_IN_BAND_CRYPTO_INFO` |
    `static String` | `PARAMETER_INCLUDE_SUPPLEMENTAL_DATA` |
    `static String` | `PARAMETER_OVERRIDE_IN_BAND_CAPTION_DECLARATIONS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MediaFormat` | `toCaptionsMediaFormat​(Format format)` | Returns a `MediaFormat` with equivalent `MediaFormat.KEY_MIME` and `MediaFormat.KEY_CAPTION_SERVICE_NUMBER` to the given `Format`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARAMETER_IN_BAND_CRYPTO_INFO

          public static final String PARAMETER_IN_BAND_CRYPTO_INFO

      See Also:
        Constant Field Values

    - #### PARAMETER_INCLUDE_SUPPLEMENTAL_DATA

          public static final String PARAMETER_INCLUDE_SUPPLEMENTAL_DATA

      See Also:
        Constant Field Values

    - #### PARAMETER_EAGERLY_EXPOSE_TRACK_TYPE

          public static final String PARAMETER_EAGERLY_EXPOSE_TRACK_TYPE

      See Also:
        Constant Field Values

    - #### PARAMETER_EXPOSE_DUMMY_SEEK_MAP

          public static final String PARAMETER_EXPOSE_DUMMY_SEEK_MAP

      See Also:
        Constant Field Values

    - #### PARAMETER_EXPOSE_CHUNK_INDEX_AS_MEDIA_FORMAT

          public static final String PARAMETER_EXPOSE_CHUNK_INDEX_AS_MEDIA_FORMAT

      See Also:
        Constant Field Values

    - #### PARAMETER_OVERRIDE_IN_BAND_CAPTION_DECLARATIONS

          public static final String PARAMETER_OVERRIDE_IN_BAND_CAPTION_DECLARATIONS

      See Also:
        Constant Field Values

    - #### PARAMETER_EXPOSE_CAPTION_FORMATS

          public static final String PARAMETER_EXPOSE_CAPTION_FORMATS

      See Also:
        Constant Field Values

    - #### PARAMETER_IGNORE_TIMESTAMP_OFFSET

          public static final String PARAMETER_IGNORE_TIMESTAMP_OFFSET

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toCaptionsMediaFormat

          public static MediaFormat toCaptionsMediaFormat​(Format format)

      Returns a `MediaFormat` with equivalent `MediaFormat.KEY_MIME` and `MediaFormat.KEY_CAPTION_SERVICE_NUMBER` to the given `Format`.